// TREE_NAME=Olive;
//ROOT
#declare ROOTS=4;//4
#declare ROOT_RANDOM=13;
#declare FIRST_ROOT_AT_TRUNK=70;
#declare ROOT_LENGTH=200;
#declare ROOT_THICKNESS_CHANGE=0.7;
#declare ROOT_STRENGTH=3;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=1;
#declare ROOT_CURVE=15;
#declare ROOT_CURVE_FREQUENCY=5;
#declare ROOT_SNAG=5;
#declare ROOT_SNAG_FREQUENCY=20;
#declare ROOT_ANGLE=45;
#declare ROOT_ALIGNMENT=0.25;
#declare ROOT_TURN_SWITCH=1.0;
//TRUNK
#declare TRUNK_RADIUS=24;
#declare TRUNK_STRENGTH=1;
#declare TRUNK_BEND_X=-30;
#declare TRUNK_BEND_X_FREQUENCY=1;
#declare TRUNK_BEND_Z=30;
#declare TRUNK_BEND_Z_FREQUENCY=1;
#declare TRUNK_CURVE=-10;
#declare TRUNK_CURVE_FREQUENCY=3;
#declare TRUNK_SNAG=5;
#declare TRUNK_SNAG_FREQUENCY=10;
#declare TRUNK_SPIRAL=0;
#declare TRUNK_TAPER=0.5;
//BRANCH
#declare BRANCHES=5;//5
#declare BRANCH_RANDOM=24.9977;
#declare FIRST_BRANCH_AT_TRUNK=150.0;
#declare BRANCH_AREA_AT_TRUNK=150.0;
#declare BRANCH_THICKNESS_CHANGE=0.8;
#declare BRANCH_STRENGTH=3.0;
#declare BRANCH_BEND=-40.0;
#declare BRANCH_BEND_FREQUENCY=3.0;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=1.0;
#declare EXTRA_NOISE_SWITCH=1.0;
#declare BRANCH_CURVE=10.0;
#declare BRANCH_CURVE_FREQUENCY=5.0;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1.0;
#declare BRANCH_LONGITUDINAL_CURVE=0.4;
#declare BRANCH_SNAG=5.0;
#declare BRANCH_SNAG_FREQUENCY=-10.0;
#declare BRANCH_REDUCTION=0.3;
#declare BRANCH_TAPER=0.3;
#declare BRANCH_END_EQUALIZER=1.0;
#declare BRANCH_TIP=0.0;
#declare BRANCH_TURN_SWITCH=1.0;
#declare BRANCH_ALTERNATE_SWITCH=0.0;
#declare BRANCH_SPIRAL=0.0;
#declare BRANCH_ANGLE=50.0;
#declare BRANCH_ANGLE_SCOPE=0.0;
#declare BRANCH_ALIGNMENT=0.8;
#declare STRAIGHTEN_TOWARDS_TOP=0.0;
//TWIG
#declare TWIGS=7*BRANCHES;//7
#declare TWIG_RANDOM=2.37;
#declare FIRST_TWIG_AT_BRANCH=50;
#declare TWIG_AREA_AT_BRANCH=200;
#declare TWIG_THICKNESS_CHANGE=0.55;
#declare TWIG_STRENGTH=1;
#declare HORIZONTAL_TWIG_ANGLE=40;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=0;
#declare HORIZONTAL_TWIG_ALIGNMENT=0.85;
#declare VERTICAL_TWIG_ANGLE=40;
#declare VERTICAL_TWIG_ANGLE_SCOPE=0;
#declare VERTICAL_TWIG_ALIGNMENT=0.85;
#declare TWIG_TURN_SWITCH=1.0;
#declare TWIG_ALTERNATE_SWITCH=0.0;
#declare TWIG_CURVE_ADJUSTMENT=1.1;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=0.75;
#declare TWIG_TAPER=1;
#declare TWIG_TIP=0;
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0;
#declare TWIG_RAMIFICATION_ORDER=3;
#declare LAST_RAMIFICATION_NUMBER=1;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=1;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=1;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_RAMIFICATION_STRENGTH=1;
//BUNCH
#declare BUNCHES=17*TWIGS; //17
#declare FIRST_BUNCH_AT_TWIG=50;
#declare BUNCH_AREA_AT_TWIG=200;
#declare BUNCH_MAJOR_RADIUS=200;
#declare BUNCH_MINOR_RADIUS=50;
#declare HORIZONTAL_BUNCH_FUNNEL=0;
#declare VERTICAL_BUNCH_FUNNEL=0;
#declare ROTATION_BUNCH_FUNNEL=80;
#declare HORIZONTAL_BUNCH_ANGLE=40;
#declare VERTICAL_BUNCH_ANGLE=-35;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=0;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=0;
#declare BUNCH_TURN_SWITCH=1.0;
#declare BUNCH_TURN_SHIFT=0;
#declare BUNCH_ALTERNATE_SWITCH=0.0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=0.85;
#declare VERTICAL_BUNCH_ALIGNMENT=0.85;
#declare BUNCH_TAPER_OFF_AT_TWIG=0.3;
#declare BUNCH_TAPER_OFF_AT_BRANCH=0;
#declare BUNCH_TAPER_OFF_AT_TREE=0;
#declare BUNCH_ARC_AT_TWIG=<0, 0, 0>;
#declare BUNCH_ARC_AT_BRANCH=<0, 0, 0>;
#declare BUNCH_DEFORM=<1, 1, 1>;
//BARK
#declare SUNKEN_TRUNK_COLOR=<.3,.2,0>*.5;
#declare RAISED_TRUNK_COLOR=<.3,.15,0>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=0;
#declare TRUNK_SCAR_WIDTH=8;
#declare TRUNK_SCAR_HEIGHT=24;
#declare HORIZONTAL_SCAR_SHRINKING=0.3;
#declare VERTICAL_SCAR_SHRINKING=1.5;
#declare SCAR_DEPTH=-1;
#declare BARK_PROFILE=0.95;
#declare BRANCH_BARK_PROFILE_CHANGE=0.95;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0.9;
#declare PALM_TRUNK=0;
//FOLIAGE
#include "TOMLEAF.inc" //tomtree\
#declare LEAF_TYPE=LEAF;
#declare LEAVES=30*BUNCHES;//30
#declare LEAF_LENGTH=20;
#declare LEAF_BREADTH=8;
#declare LEAF_HEIGHT=4;
#declare MAX_LEAF_TILT=20;
#declare MAX_LEAF_TURN=30;
#declare LEAF_INCLINATION=40;
#declare LEAF_INCLINATION_SCOPE=30;
#declare BOTTOM_COLOR_1=<0.5, 0.6, 0.1>;
#declare BOTTOM_COLOR_2=<0.4, 0.55, 0.2>;
#declare TOP_COLOR_1=<0.4, 0.55, 0>;
#declare TOP_COLOR_2=<0.3, 0.55, 0.3>;
#declare COLOR_TURB=0.5;
#declare TRANSITION_BOTTOM_TOP=0.5;
#declare TRANSITION_TURB=0.5;
#declare FOLIAGE_GLOSS=0.25;
//BLOSSOM
#declare BLOSSOM=BLOSSOM2;
#declare BLOSSOMS=1*BUNCHES;
#declare BLOSSOM_LENGTH=5;
#declare BLOSSOM_WIDTH=10;
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<1, 1, 1>;
